Skip to main content
GET
/
api
/
v1
/
vault
/
get_files
Get File Details
curl --request GET \
  --url https://api.harvey.ai/api/v1/vault/get_files \
  --header 'Authorization: Bearer <token>'
{
  "response": {
    "content": [
      {
        "file_id": "01936a5f-8289-703a-9962-42bf196ae611",
        "file_name": "Employment Agreement - John Smith.pdf",
        "processing_status": "ready_to_query",
        "content_type": "application/pdf",
        "deleted_at": null
      },
      {
        "file_id": "01936a5f-82a2-708a-9df6-91d72c1cd26d",
        "file_name": "Merger Agreement - Acme Corp.docx",
        "processing_status": "processing",
        "content_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
        "deleted_at": null
      },
      {
        "file_id": "01936a5f-82de-7096-a7c2-021638a813ad",
        "error": "not_found"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_ids
string<uuid>[]
required

Comma-separated list of file IDs to retrieve details for.

Response

File details retrieved successfully

response
object